uk.gov.hmrc.address.osgb

# DbAddressOrderingByLine1

###
Related Doc: package osgb

#### object DbAddressOrderingByLine1 extends Ordering[DbAddress]

Linear Supertypes
Ordering[DbAddress], PartialOrdering[DbAddress], Equiv[DbAddress], Serializable, Serializable, Comparator[DbAddress], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DbAddressOrderingByLine1
2. Ordering
3. PartialOrdering
4. Equiv
5. Serializable
6. Serializable
7. Comparator
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class Ops extends AnyRef

   Definition Classes
     Ordering

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def compare(a: DbAddress, b: DbAddress): Int

   Definition Classes
     DbAddressOrderingByLine1 → Ordering → Comparator

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def equiv(x: DbAddress, y: DbAddress): Boolean

   Definition Classes
     Ordering → PartialOrdering → Equiv

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def gt(x: DbAddress, y: DbAddress): Boolean

    Definition Classes
      Ordering → PartialOrdering

13. #### def gteq(x: DbAddress, y: DbAddress): Boolean

    Definition Classes
      Ordering → PartialOrdering

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def lt(x: DbAddress, y: DbAddress): Boolean

    Definition Classes
      Ordering → PartialOrdering

17. #### def lteq(x: DbAddress, y: DbAddress): Boolean

    Definition Classes
      Ordering → PartialOrdering

18. #### def max(x: DbAddress, y: DbAddress): DbAddress

    Definition Classes
      Ordering

19. #### def min(x: DbAddress, y: DbAddress): DbAddress

    Definition Classes
      Ordering

20. #### implicit def mkOrderingOps(lhs: DbAddress): Ops

    Definition Classes
      Ordering

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def on[U](f: (U) ⇒ DbAddress): Ordering[U]

    Definition Classes
      Ordering

25. #### def reverse: Ordering[DbAddress]

    Definition Classes
      Ordering → PartialOrdering

26. #### def reversed(): Comparator[DbAddress]

    Definition Classes
      Comparator

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def thenComparing[U <: Comparable[_ >: U]](arg0: Function[_ >: DbAddress, _ <: U]): Comparator[DbAddress]

    Definition Classes
      Comparator

29. #### def thenComparing[U](arg0: Function[_ >: DbAddress, _ <: U], arg1: Comparator[_ >: U]): Comparator[DbAddress]

    Definition Classes
      Comparator

30. #### def thenComparing(arg0: Comparator[_ >: DbAddress]): Comparator[DbAddress]

    Definition Classes
      Comparator

31. #### def thenComparingDouble(arg0: ToDoubleFunction[_ >: DbAddress]): Comparator[DbAddress]

    Definition Classes
      Comparator

32. #### def thenComparingInt(arg0: ToIntFunction[_ >: DbAddress]): Comparator[DbAddress]

    Definition Classes
      Comparator

33. #### def thenComparingLong(arg0: ToLongFunction[_ >: DbAddress]): Comparator[DbAddress]

    Definition Classes
      Comparator

34. #### def toString(): String

    Definition Classes
      AnyRef → Any

35. #### def tryCompare(x: DbAddress, y: DbAddress): Some[Int]

    Definition Classes
      Ordering → PartialOrdering

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Ordering[DbAddress]

### Inherited from PartialOrdering[DbAddress]

### Inherited from Equiv[DbAddress]

### Inherited from Serializable

### Inherited from Comparator[DbAddress]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped